Veldspecificaties

55 items
Path Naam Type Verplicht Beperkingen
request.query.filterByOrgId
filterByOrgId

Controls whether the response is filtered to only include Students belonging to the specific organisation identified by orgId and orgIdType, or whether all Students of the associated Onderwijsaanbieder are returned.

  • true: Only Students belonging to the specified secondary identifier are returned.
  • false: All Students of the associated Onderwijsaanbieder are returned (to the extent authorisations have been configured).

When omitted, a sector-specific default applies:

  • PO (primary education): defaults to true – response is filtered to the specified identifier.
  • VO (secondary education): defaults to false – response covers the full Onderwijsaanbieder scope.

This parameter is only relevant in combination with orgId and orgIdType. When orgMasterId is used, this parameter must be absent or false.

It is the responsibility of the consuming party to verify whether the Source supports filtering via this parameter before using it.

Ja/nee Nee - Bewerken
request.query.orgId
orgId

The organisationIdentifier (secondary identifier) of the school. This parameter is used in combination with the orgIdType when the organisationMasterIdentifier is not available.

Tekenreeks Nee - Bewerken
request.query.orgIdType
orgIdType

The type of the organisationIdentifier. This parameter is used in combination with the orgId when the organisationMasterIdentifier is not available.

The following values are supported:

  • OIE_CODE: OnderwijsInstellingserkenningcode
  • BP_ID: Basispoort-generated identifier for the school
  • DD_ID: DigiDeliveryId generated by the Central Registration of Edu-iX
  • AS_ID: LAS-generated identifier (LAS-Key) for the school
  • V_ID: VestigingsId – BRIN6-format identifier, including dummy locations
Keuzelijst Nee toegestaan ["OIE_CODE","BP_ID","DD_ID","AS_ID","V_ID"] Bewerken
request.query.orgMasterId
orgMasterId

The organisationMasterIdentifier of the school. This parameter is used when the primary identifier for a school (being the OnderwijsaanbiederId) is available.

Tekenreeks Nee - Bewerken
request.query.schoolPeriodId
schoolPeriodId

Optional filter to request all Student objects enrolled in a specified SchoolPeriod and its corresponding schoolPeriodId.

Tekenreeks Nee - Bewerken
request.query.studyOfferingId
studyOfferingId

Optional filter to request all Student objects enrolled in a StudyOffering and its corresponding studyOfferingId.

Tekenreeks Nee - Bewerken
request.query.subjectOfferingId
subjectOfferingId

Optional filter to request Student objects enrolled in a SubjectOffering and its corresponding subjectOfferingId.

Tekenreeks Nee - Bewerken
response.200
response 200

OK

Lijst[] Nee - Bewerken
response.200[*]
response 200

The Student object with its identifiers and name information.

Based on the scopes additional attributes can be included in this object.

student.demographics

Demographic data of a Student:

  • dateOfBirth
  • gender

student.communication

Communication data of the Student. For Students this is only the e-mail address as provided by the School.

student.accessibility

accessibility and language preferences for the Student. StudentAccessibility is an optional object for the Students API.

  • As an illustration the accessibility of AdditionalTestingTime is specified within this version.
  • Based on actual requirements from schools and suppliers, this list of preferences can be extended.
  • A possible next candidate might be the Braille class.

student.deliveryaddress

Delivery address data of a Student:

  • address
  • emailPrivate
  • emailsParents
Object Nee - Bewerken
response.200[*].accessibility
accessibility
Lijst[] Nee - Bewerken
response.200[*].accessibility[*]
accessibility

The AdditionalTestingTime preference for a Student. Either time-multiplier, fixed-minutes or unlimited is used.

Object Nee - Bewerken
response.200[*].accessibility[*].additionalTestingTime
additionalTestingTime
Object Nee - Bewerken
response.200[*].accessibility[*].additionalTestingTime.fixed-minutes
fixed-minutes

Providing the additional testing time as an additional number of minutes.

Geheel getal Nee - Bewerken
response.200[*].accessibility[*].additionalTestingTime.time-multiplier
time-multiplier

Providing the additional testing time as a multiplier of the set time.

Decimaal Nee - Bewerken
response.200[*].accessibility[*].additionalTestingTime.unlimited
unlimited

Providing the additional testing time as an unlimited time.

Tekenreeks Nee - Bewerken
response.200[*].address
address

The home address of the Student.

Object Nee - Bewerken
response.200[*].address.city
city
Tekenreeks Ja - Bewerken
response.200[*].address.country
country
Tekenreeks Ja - Bewerken
response.200[*].address.countryCode
countryCode

According to Alpha-2 code from ISO 3166, e.g. NL

Tekenreeks Nee - Bewerken
response.200[*].address.houseNumber
houseNumber

the house number

Geheel getal Ja - Bewerken
response.200[*].address.houseNumberSuffix
houseNumberSuffix

additions to the house number, e.g. A or -104

Tekenreeks Nee - Bewerken
response.200[*].address.street
street
Tekenreeks Ja - Bewerken
response.200[*].address.zipCode
zipCode
Tekenreeks Ja - Bewerken
response.200[*].alias
alias

An additional field to distinct students on screen who carry the same name.

Tekenreeks Nee - Bewerken
response.200[*].dateCreated
dateCreated

Indicates the date and time the object was first created. Format: According to openapi in ZULU time as specified in RFC 3339, section 5.6.

Datum/tijd Ja - Bewerken
response.200[*].dateLastModified
dateLastModified

Indicates the date and time the object was last modified. Format: According to openapi in ZULU time as specified in RFC 3339, section 5.6.

Datum/tijd Ja - Bewerken
response.200[*].dateOfBirth
dateOfBirth

format: YYYY-MM-DD (according to RFC3339)

Datum Nee - Bewerken
response.200[*].email
email

E-mail address hosted by school (e.g. L123456@school.nl).

Tekenreeks Nee - Bewerken
response.200[*].emailPrivate
emailPrivate

Private e-mail address of the student.

Tekenreeks Nee - Bewerken
response.200[*].emailsParents
emailsParents
Lijst[] Nee - Bewerken
response.200[*].emailsParents[*]
emailsParents

E-mail address of a parent or the legal representative (e.g. guardian) of the Student.

Tekenreeks Nee - Bewerken
response.200[*].familyName
familyName
Tekenreeks Ja - Bewerken
response.200[*].familyNamePrefix
familyNamePrefix
Tekenreeks Nee - Bewerken
response.200[*].gender
gender

The gender of the Student. The following values are used:

  • female: gender is Female
  • male: gender is Male
  • other: gender that is known but which is not either Male or Female.
  • unspecified: unspecified as no data entry for this field has been made.
Keuzelijst Nee toegestaan ["female","male","other","unspecified"] Bewerken
response.200[*].givenName
givenName
Tekenreeks Ja - Bewerken
response.200[*].language
language

The language preference of the Student. Format according to ISO639 Set 3 values for Language tags. On Wikipedia an example list can be found.

Tekenreeks Nee - Bewerken
response.200[*].preferredFirstName
preferredFirstName
Tekenreeks Nee - Bewerken
response.200[*].status
status

The status field gives an indication to Consumers about the status of an object. Consumers can delete objects that are flagged tobedeleted as such if they wish.

The status attribute is based on the Base Class from OneRoster.

Keuzelijst Ja toegestaan ["active","tobedeleted"] Bewerken
response.200[*].userIds
userIds

A secondary identifier for a User. This value is used whenever the primary identifier is not available. (either userMasterIdentifier or userIds is required)

Lijst[] Nee - Bewerken
response.200[*].userIds[*]
userIds

A secondary identifier for a User. This value is used whenever the primary identifier is not available. (either userMasterIdentifier or userIds is required)

Object Nee - Bewerken
response.200[*].userIds[*].userId
userId
Tekenreeks Ja - Bewerken
response.200[*].userIds[*].userIdType
userIdType
Keuzelijst Ja toegestaan ["NEPPI","BPI","eduID","NEPRI","ASI"] Bewerken
response.200[*].userMasterIdentifier
userMasterIdentifier

The primary identifier for the Student. For Students the ECK iD is used.

Tekenreeks Nee - Bewerken
response.400
response 400

Functional status code and status message.

Object Nee - Bewerken
response.400.status
status

See functional status codes within the Documentation.

Geheel getal Ja - Bewerken
response.400.statusMessage
statusMessage

See functional status messages within the Documentation.

Tekenreeks Nee - Bewerken
response.401
response 401

Functional status code and status message.

Object Nee - Bewerken
response.401.status
status

See functional status codes within the Documentation.

Geheel getal Ja - Bewerken
response.401.statusMessage
statusMessage

See functional status messages within the Documentation.

Tekenreeks Nee - Bewerken
response.403
response 403

Functional status code and status message.

Object Nee - Bewerken
response.403.status
status

See functional status codes within the Documentation.

Geheel getal Ja - Bewerken
response.403.statusMessage
statusMessage

See functional status messages within the Documentation.

Tekenreeks Nee - Bewerken
response.404
response 404

Functional status code and status message.

Object Nee - Bewerken
response.404.status
status

See functional status codes within the Documentation.

Geheel getal Ja - Bewerken
response.404.statusMessage
statusMessage

See functional status messages within the Documentation.

Tekenreeks Nee - Bewerken

Verwachte statuscodes

5 items
Code Betekenis Uitkomst
200 OK Succes Bewerken
400 Bad Request Fout Bewerken
401 Unauthorized Fout Bewerken
403 Forbidden Fout Bewerken
404 Not Found Fout Bewerken